nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Types | Public Member Functions | List of all members
nx::vms_server_plugins::cloud_storage::stub::DataManager Class Reference

## Public Types
using | SaveHandler = std::function< void(nx::sdk::cloud_storage::MetadataType, nx::sdk::ErrorCode)>

## Public Member Functions
| DataManager (const std::string &workDir)
void | setSaveHandler (SaveHandler handler)
nx::sdk::ErrorCode | saveBookmark (const nx::sdk::cloud_storage::Bookmark &data)
void | deleteBookmark (const char *id)
std::string | queryBookmarks (const nx::sdk::cloud_storage::BookmarkFilter &filter) const
nx::sdk::ErrorCode | saveMotion (const nx::sdk::cloud_storage::Motion &data)
std::string | queryMotion (const nx::sdk::cloud_storage::MotionFilter &filter) const
nx::sdk::ErrorCode | saveObjectTrack (const nx::sdk::cloud_storage::ObjectTrack &data)
std::string | queryAnalytics (const nx::sdk::cloud_storage::AnalyticsFilter &filter) const
std::string | queryAnalyticsPeriods (const nx::sdk::cloud_storage::AnalyticsFilter &filter) const
void | addDevice (const nx::sdk::cloud_storage::DeviceDescription &deviceDescription)
std::unique_ptr< WritableMediaFile > | writableMediaFile (const std::string &deviceId, int streamIndex, std::chrono::milliseconds timestamp, const nx::sdk::IList< nx::sdk::cloud_storage::ICodecInfo > *codecList, const char *opaqueMetadata) const
std::unique_ptr< ReadableMediaFile > | readableMediaFile (const std::string &bucketUrl, const std::string &deviceId, int streamIndex, int64_t startTimeMs, int64_t durationMs) const
ArchiveIndex | getArchive (std::optional< std::chrono::system_clock::time_point > startTime) const
void | saveTrackImage (const char *data, nx::sdk::cloud_storage::TrackImageType type)
std::string | fetchTrackImage (const char *objectTrackId, nx::sdk::cloud_storage::TrackImageType type)
void | run ()
void | flushMetadata (nx::sdk::cloud_storage::MetadataType type)
std::pair< std::string, int > | bucketUrlAndId () const

The documentation for this class was generated from the following files:

- samples/cloud_storage/stub_cloud_storage_plugin/src/nx/vms_server_plugins/cloud_storage/stub/data_manager.h
- samples/cloud_storage/stub_cloud_storage_plugin/src/nx/vms_server_plugins/cloud_storage/stub/data_manager.cpp